## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUFormatNumberFunctor Class Reference

Collaboration diagram for ICUFormatNumberFunctor:

[legend]
List of all members.

## Public Types

- typedef XalanList< DecimalFormatCacheStruct > DecimalFormatCacheListType
- enum { eCacheMax = 10 }

## Public Member Functions

- ICUFormatNumberFunctor (MemoryManagerType &theManager)
- virtual ~ICUFormatNumberFunctor ()
- virtual void operator() (XPathExecutionContext &executionContext, double theNumber, const XalanDOMString &thePattern, const XalanDecimalFormatSymbols *theDFS, XalanDOMString &theResult, const XalanNode *context=0, const LocatorType *locator=0) const
- DecimalFormatType * getCachedDecimalFormat (const XalanDecimalFormatSymbols &theDFS) const
- bool doFormat (double theNumber, const XalanDOMString &thePattern, XalanDOMString &theResult, const XalanDecimalFormatSymbols *theDFS=0) const
- bool doICUFormat (double theNumber, const XalanDOMString &thePattern, XalanDOMString &theResult, DecimalFormatType *theFormatter=0) const
- void cacheDecimalFormat (DecimalFormatType *theFormatter, const XalanDecimalFormatSymbols &theDFS) const
- DecimalFormat * createDecimalFormat (const XalanDecimalFormatSymbols &theXalanDFS) const
- ICUFormatNumberFunctor & operator= (const ICUFormatNumberFunctor &)
- bool operator== (const ICUFormatNumberFunctor &) const

## Static Public Member Functions

- ICUFormatNumberFunctor * create (MemoryManagerType &theManager)

## Public Attributes

- DecimalFormatType * m_defaultDecimalFormat
- DecimalFormatCacheListType m_decimalFormatCache

## Member Typedef Documentation

typedef XalanList<DecimalFormatCacheStruct> ICUFormatNumberFunctor::DecimalFormatCacheListType

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eCacheMax |

## Constructor & Destructor Documentation

ICUFormatNumberFunctor::ICUFormatNumberFunctor | ( | MemoryManagerType & | theManager | ) |

virtual ICUFormatNumberFunctor::~ICUFormatNumberFunctor | ( |  | ) | `[virtual]`

## Member Function Documentation

void ICUFormatNumberFunctor::cacheDecimalFormat | ( | DecimalFormatType * | theFormatter,
|  | const XalanDecimalFormatSymbols & | theDFS
| ) | const

ICUFormatNumberFunctor* ICUFormatNumberFunctor::create | ( | MemoryManagerType & | theManager | ) | `[static]`

DecimalFormat* ICUFormatNumberFunctor::createDecimalFormat | ( | const XalanDecimalFormatSymbols & | theXalanDFS | ) | const

bool ICUFormatNumberFunctor::doFormat | ( | double | theNumber,
|  | const XalanDOMString & | thePattern,
|  | XalanDOMString & | theResult,
|  | const XalanDecimalFormatSymbols * | theDFS = 0
| ) | const

bool ICUFormatNumberFunctor::doICUFormat | ( | double | theNumber,
|  | const XalanDOMString & | thePattern,
|  | XalanDOMString & | theResult,
|  | DecimalFormatType * | theFormatter = 0
| ) | const

DecimalFormatType* ICUFormatNumberFunctor::getCachedDecimalFormat | ( | const XalanDecimalFormatSymbols & | theDFS | ) | const

virtual void ICUFormatNumberFunctor::operator() | ( | XPathExecutionContext & | executionContext,
|  | double | theNumber,
|  | const XalanDOMString & | thePattern,
|  | const XalanDecimalFormatSymbols * | theDFS,
|  | XalanDOMString & | theResult,
|  | const XalanNode * | context = 0,
|  | const LocatorType * | locator = 0
| ) | const`[virtual]`

ICUFormatNumberFunctor& ICUFormatNumberFunctor::operator= | ( | const ICUFormatNumberFunctor & |  | ) |

bool ICUFormatNumberFunctor::operator== | ( | const ICUFormatNumberFunctor & |  | ) | const

## Member Data Documentation

DecimalFormatCacheListType ICUFormatNumberFunctor::m_decimalFormatCache`[mutable]`

DecimalFormatType* ICUFormatNumberFunctor::m_defaultDecimalFormat

The documentation for this class was generated from the following file:

- ICUFormatNumberFunctor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.